package com.priusis.client.extensions;

import com.priusis.client.service.conf.PcExtensionConfiguration;

/**
 * Created by priusis on 29.09.17.
 */
public interface ExtensionService {

    PcExtensionConfiguration getCurrentConfiguration();

    void init(PcExtensionConfiguration configuration) throws Exception;

    void update(PcExtensionConfiguration configuration) throws Exception;

    void destroy() throws Exception;
}
